Index: trunk/HeuristicLab.Persistence/3.3/Core/Configuration.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Configuration.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using System;
 using System.Collections.Generic;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Interfaces;
 
@@ -50,11 +50,14 @@
 
     [StorableConstructor]
-    protected Configuration(bool isDeserializing) {
+    protected Configuration(StorableConstructorFlag _) {
       compositeSerializerCache = new Dictionary<Type, ICompositeSerializer>();
-      if (isDeserializing)
-        return;
+    }
+
+    public Configuration() {
+      compositeSerializerCache = new Dictionary<Type, ICompositeSerializer>();
       primitiveSerializers = new Dictionary<Type, IPrimitiveSerializer>();
       compositeSerializers = new List<ICompositeSerializer>();
     }
+
 
     /// <summary>
@@ -67,5 +70,5 @@
         IEnumerable<IPrimitiveSerializer> primitiveSerializers,
         IEnumerable<ICompositeSerializer> compositeSerializers)
-      : this(false) {
+      : this() {
       this.Format = format;
       this.compositeSerializers.AddRange(compositeSerializers);
@@ -131,5 +134,5 @@
     /// <returns>A new <see cref="Configuration"/></returns>
     public Configuration Copy() {
-      var config = new Configuration(false);
+      var config = new Configuration();
       config.Format = Format;
       foreach (var ps in primitiveSerializers)
Index: trunk/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/ConfigurationService.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,4 +26,5 @@
 using System.Reflection;
 using System.Text;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Persistence.Interfaces;
Index: trunk/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/DataMemberAccessor.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,4 +23,5 @@
 using System.Reflection;
 using System.Reflection.Emit;
+using HEAL.Attic;
 
 namespace HeuristicLab.Persistence.Core {
Index: trunk/HeuristicLab.Persistence/3.3/Core/Deserializer.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Deserializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Deserializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,4 +22,5 @@
 using System;
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core.Tokens;
Index: trunk/HeuristicLab.Persistence/3.3/Core/FormatBase.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/FormatBase.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,5 +21,5 @@
 
 using System;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Persistence.Interfaces {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected FormatBase(bool deserializing) { }
+    protected FormatBase(StorableConstructorFlag _) { }
     protected FormatBase() { }
 
Index: trunk/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/GeneratorBase.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/PersistenceException.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/PersistenceException.cs	(revision 15682)
+++ 	(revision )
@@ -1,90 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Runtime.Serialization;
-using System.Text;
-
-namespace HeuristicLab.Persistence.Core {
-
-  /// <summary>
-  /// Exception thrown by components inside the persistence framework.
-  /// </summary>
-  [Serializable]
-  public class PersistenceException : Exception {
-
-    /// <summary>
-    /// Initializes a new instance of the <see cref="PersistenceException"/> class.
-    /// </summary>
-    public PersistenceException() : base() { }
-
-    /// <summary>
-    /// Initializes a new instance of the <see cref="PersistenceException"/> class.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    public PersistenceException(string message) : base(message) { }
-
-    /// <summary>
-    /// Initializes a new instance of the <see cref="PersistenceException"/> class.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    /// <param name="innerException">The inner exception.</param>
-    public PersistenceException(string message, Exception innerException) :
-      base(message, innerException) { }
-
-    /// <summary>
-    /// Initializes a new instance of the <see cref="PersistenceException"/> class.
-    /// </summary>
-    /// <param name="message">The message.</param>
-    /// <param name="innerExceptions">The inner exceptions.</param>
-    public PersistenceException(string message, IEnumerable<Exception> innerExceptions)
-      : base(message) {
-      int i = 0;
-      foreach (var x in innerExceptions) {
-        i += 1;
-        this.Data.Add("Inner Exception " + i, x);
-      }
-    }
-
-    protected PersistenceException(SerializationInfo info, StreamingContext context) : base(info, context) { }
-
-    /// <summary>
-    /// Returns a <see cref="System.String"/> that represents this instance.
-    /// </summary>
-    /// <returns>
-    /// A <see cref="System.String"/> that represents this instance.
-    /// </returns>
-    /// <PermissionSet>
-    /// 	<IPermission class="System.Security.Permissions.FileIOPermission, mscorlib, Version=2.0.3600.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" version="1" PathDiscovery="*AllFiles*"/>
-    /// </PermissionSet>
-    public override string ToString() {
-      var sb = new StringBuilder()
-        .Append(base.ToString())
-        .Append('\n');
-      foreach (Exception x in Data.Values) {
-        sb.Append(x.ToString()).Append('\n');
-      }
-      return sb.ToString();
-    }
-  }
-
-}
Index: trunk/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/PrimitiveSerializerBase.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using System;
 using System.Text;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Persistence.Interfaces {
Index: trunk/HeuristicLab.Persistence/3.3/Core/Serializer.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Serializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,4 +25,5 @@
 using System.Reflection;
 using System.Text;
+using HEAL.Attic;
 using HeuristicLab.Persistence.Auxiliary;
 using HeuristicLab.Persistence.Core.Tokens;
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tag.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tag.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tag.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/BeginToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/BeginToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/BeginToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/CompositeTokenBase.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/CompositeTokenBase.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/CompositeTokenBase.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/EndToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/EndToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/EndToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoBeginToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoBeginToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoBeginToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoEndToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoEndToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/MetaInfoEndToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/NullReferenceToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/NullReferenceToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/NullReferenceToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/PrimitiveToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/PrimitiveToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/PrimitiveToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/ReferenceToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/SerializationTokenBase.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/SerializationTokenBase.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/SerializationTokenBase.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/Tokens/TypeToken.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/Tokens/TypeToken.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/Tokens/TypeToken.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Persistence/3.3/Core/TypeMapping.cs
===================================================================
--- trunk/HeuristicLab.Persistence/3.3/Core/TypeMapping.cs	(revision 15682)
+++ trunk/HeuristicLab.Persistence/3.3/Core/TypeMapping.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
